---
title: anti-lifehacking
---

This is the anti-lifehack.

By eschewing organization schemes this design pattern forces immediate action.

No tags, folders or priorities allowed - either deal with item X now, or place
it on the bottom of the queue.

If it seems overwhelming, try determining how much time you would like to work
on anything, and find an item that can have measurable progress in that period.
I have applied this to my email inbox, rss feeds, and todo lists.

When applied to my email, I realized I had too many messages incoming. It forced
me to unsubscribe from at least a dozen mailing lists, and over 99% of my emails
are archived (which means they are dealt with). Zero inbox is attainable but not
necessary - set small goals, like reducing the net amount by 5 every day.

When applied to my rss reader, I realized I had too many feeds, and would really
only read a few anyway. I bookmarked the sites that I loved but rarely read, and
decided to return to them later. Also, I hid item counts.

When applied to my todo list, I realized I had more stuff than time to do it in,
which forced me to get very good at prioritizing, and picking what needed to be
done immediately. This required a bit more dilligence about actually adding
stuff to the todo list, though its great to cross off items.
