---
title: Software values
---

Copy-pasted from a response in work slack channel regarding a project that ripped out all the io-ts and fp-ts code after our company built the initial version.

---

I hold very strong values about reducing the time-to-understanding for a complete beginner to make an impact in a project, for multiple reasons:

* history of leading workshops and teaching
* personal difficulties with memory & context switching
* professional history of digital (physical and software) archivism

In all of these places, every additional tool in the chain (e.g., typescript), every additional framework (e.g. io-ts), multiplies the amount of required understanding to make initial impact, and *sometimes* pays off in later ability to make impact.

Every bit of locally-runnable infrastructure that can be automated and introspectable, every data format that is legible with basic tools (text over binary), improves the chance that someone else can learn and build on what you made.

> basic tools could also mean "you have to build the tool, but the data format is simple enough and described well enough to do so a matter of minutes"

This is one reason I am thankful for the tech-radar, since it helps us see a larger horizon than just ‘my current role on my current project’, and helps us make bets where the sometimes payoff is an often.

> tech-radar is an internal tool where Reaktorians describe their experiences with different technology and their perception of where it is in the greater mindshare
