import { Badge } from '@chakra-ui/react';

export const getBadgeColorScheme = (value: 'online' | 'offline') =>
  value === 'online' ? 'green' : 'red';

export const OnlineOfflineBadge: React.FC<{ value: 'online' | 'offline' }> = ({
  value,
}) => <Badge colorScheme={getBadgeColorScheme(value)}>{value}</Badge>;
