---
title: jonathan.is
---

a [hacker](images/me.jpg) of Computational Machinations, Digital Arts and Electronic Sounds, hailing from Brooklyn

I am a programmer who likes to connect random inputs and outputs to see what people will do with them.
I often take virtual streams and provide them physical facilities to exaggerate their impact on our lives.
I am equally uncomfortable coding in C, C++, Rust, Javascript, Typescript, Coffeescript, Python, Piet, Basic, Hypercard, and Bash.
I painted a simple [echo program](images/piet.png) and could very easily see myself holed up for the winter just with canvas and wine.

Some communities I'm a part of and love include [the school for poetic computation](sfpc.io), [~~hacker school~~ recurse center](recurse.com), [woodbine](woodbine.nyc), [arthackday](arthackday.net), [the medialab at the met](http://www.metmuseum.org/about-the-museum/museum-departments/office-of-the-director/digital-media-department/digital-underground/posts/2013/introducing-the-media-lab), and [itp camp](http://itp.nyu.edu/camp2014/). If you are interested in chatting about any of these, please reach out!

# Creations and Consumptions
- <a href=github.com/jedahan rel=me>code</a>
- [short thoughts](twitter.com/jedahan)
- [slightly longer thoughts](/writing)
- [where i've been](foursquare.com/jedahan)
- [oscillations](soundcloud.com/jedahan)
- [static visuals](flickr.com/photos/37234044@N07/sets)
- [motion pictures](youtube.com/jeadhan)

# Endeavours
- teaching at [parsons](http://jedahan.github.io/pucd2035d)
- did not graduate [~~hackerschool~~ recurse center](recurse.com)
- attended the [school for poetic computation](sfpc.io): first class
- taught at the [school for poetic computation](sfpc.io)
- founded [Island Labs](islandlabs.org), a long island [hackerspace](wikipedia.org/HackerSpace)
- maintain package repositories for [KISS](kisslinux.github.io), and [exherbo](exherbo.org) linux
- symposium [on programming old computers](https://www.youtube.com/watch?v=N6lX-Gxo3uM)
