# Takehome response

I appreciate the hints in the readme, as well as the scaffolding.

Note: the network name is editable just by clicking on it. The most impactful improvement beyond requirements outlined in the readme I would add is some affordance showing it is editable. Either a button, or highlight the component on hover. Tried to keep this whole exercise to 2 hours since thats how much time I have right now.

---

My general values when working with an existing codebase is to mirror the style and patterns that are already established. In general if I think there are improvements to design, would first want to discuss with the team.

One small design decision I'd like to discuss is the naming of 'accessor' and/or the ability to add custom sorting to react-table.

Also maybe allowing `.` notation in accessors, though the typing for that might be pretty hairy.

Also would want to discuss places to build more reusable components. In general I subscribe to 'repeating twice is fine, 3 times consider abstracting'.


I included a very stream-of-consciousness devlog below, and recorded my first hour if you want a video stream I can upload.

In addition, this is available in a private repo https://github.com/jedahan/interview-meter - just give me some usernames to add as collaborators if you wanna dive into details more.

Thanks,
Jonathan Dahan

---

# devlog entry 1

## setup

Don't have yarn installed, don't wanna install globally

Tried `npx yarn` which worked, but `npx yarn start` failed

`npm start` worked fine though

## ap stats

Lets show wired, wireless, offline stats

Oh, its nice, the scaffolding for clients api queries are there, and of course, benefit of monorepo, we already have a `ClientData` type.

Adding the list, first will copy-paste existing AccessPoint page and components, then maybe refactor to common higher-ordered components after completing other requirements.

I added Status because I thought it useful. Sorting does not work. Looked at the docs for React-Table 'ordering' and the docs crash. Awesome.

Should not dwell too long on ordering issue, lets move on to details view

## details view

Noticed that AccessPoints were sorting correctly with the online/offline badge, so lets re-tackle

Ok lets try fixing ordering

TODO: Felt kinda weird, but I moved the mapping of data to the accessor and then sorting worked. Should discuss if we want this to be labled like Aps are.

## details view, for real this time

Added connection info, getting some nulls

Not sure the value of disconnected clients, but will continue to show for now

Turns out it just so happened my data generation had everyone connected. Deleting and re-

Part 1 done, a little over an hour.

---

# devlog entry 2

Time to read about json-server

Wait, so it just scaffolds patching too? It was a little 'magic' but just trying out patches and console logging, it works fine.

Got into flow here, so not many notes

An hour later, it renames, but is ugly (no affordances to show you can rename)

Will spend another 30 minutes cleaning up this note, thinking about components / etc.

# devlog entry 3

cleaning up this log and readme, exporting with `yarn pack`
